/*
 * Copyright (c) 2000-2002 Apple Computer, Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 * 
 * The contents of this file constitute Original Code as defined in and
 * are subject to the Apple Public Source License Version 1.1 (the
 * "License").  You may not use this file except in compliance with the
 * License.  Please obtain a copy of the License at
 * http://www.apple.com/publicsource and read it before using this file.
 * 
 * This Original Code and all software distributed under the License are
 * distributed on an "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT.  Please see the
 * License for the specific language governing rights and limitations
 * under the License.
 * 
 * @APPLE_LICENSE_HEADER_END@
 */

#include <types.h>
#include <console/video_console.h>

extern void bcopy(const void *, void *, size_t);

void video_scroll_up(unsigned long start,
                     unsigned long end,
                     unsigned long dest)
{
    bcopy((void *) start, (void *) dest, (end - start) << 2);
}

void video_scroll_down(unsigned long start,  /* HIGH addr */
                       unsigned long end,    /* LOW addr */
                       unsigned long dest)   /* HIGH addr */
{
    bcopy((void *) end, (void *) dest, (start - end) << 2);
}
